<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.EditReferencedObject']}</h2>
        <h:form id="editForm">
            <s:decorate template="/layout/panels/_panel_title_footer_id.xhtml"
                        rendered="#{referencedObjectEditorManager.refObject != null}">
                <ui:param name="panel_id" value="details"/>
                <ui:define name="panel_title">
                    <h:outputText>#{messages['net.ihe.gazelle.xval.ReferencedObjectDetails']}</h:outputText>
                </ui:define>
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not referencedObjectEditorManager.duplicate}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.Keyword']}</ui:define>
                        <h:outputText value="#{referencedObjectEditorManager.refObject.keyword}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not referencedObjectEditorManager.duplicate}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.ObjectType']}</ui:define>
                        <h:outputText value="#{referencedObjectEditorManager.refObject.objectType}"/>
                    </s:decorate>
                </dl>

                <s:decorate template="/layout/form/_edit.xhtml" rendered="#{referencedObjectEditorManager.duplicate}">
                    <ui:param name="id" value="keywordInput"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.Keyword']}</ui:define>
                    <h:inputText value="#{referencedObjectEditorManager.refObject.keyword}" required="true"
                                 requiredMessage="Keyword is a mandatory field" id="keywordInput"
                                 validator="#{referencedObjectEditorManager.validateKeyword}"
                                 styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_edit.xhtml" rendered="#{referencedObjectEditorManager.duplicate}">
                    <ui:param name="id" value="objectypeInput"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.ObjectType']}</ui:define>
                    <h:selectOneMenu value="#{referencedObjectEditorManager.refObject.objectType}">
                        <f:selectItems value="#{referencedObjectEditorManager.availableKinds}" id="objecttypeInput"
                                       styleClass="form-control gzl-form-control gzl-select-text"/>
                        <a4j:ajax event="change" render="editForm"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:param name="id" value="descriptionInput"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.Description']}</ui:define>
                    <h:inputTextarea value="#{referencedObjectEditorManager.refObject.description}" style="resize:both;"
                                     required="true"
                                     requiredMessage="The description field is mandatory"
                                     styleClass="form-control" id="descriptionInput"/>
                </s:decorate>
                <s:decorate template="/layout/form/_edit.xhtml"
                            rendered="#{referencedObjectEditorManager.refObject.isXml()}">
                    <ui:param name="id" value="xsdInput"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.XSD']}</ui:define>
                    <h:inputText value="#{referencedObjectEditorManager.refObject.xsdLocation}"
                                 styleClass="form-control"
                                 id="xdsInput"/>
                </s:decorate>
                <ui:define name="panel_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Save']}"
                                       actionListener="#{referencedObjectEditorManager.save()}"
                                        render="details" styleClass="gzl-btn-green"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Back']}" onclick="history.back()"
                                       byPassUpdates="true" styleClass="gzl-btn"
                                       title="#{messages['net.ihe.gazelle.xval.UnsavedChangesWillBeLost']}" immediate="true"/>
                </ui:define>
            </s:decorate>
        </h:form>
        <ui:decorate template="/layout/panels/_panel_title_id.xhtml"
                     rendered="#{referencedObjectEditorManager.refObject != null}">
            <ui:param name="panel_id" value="details"/>
            <ui:define name="panel_title">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.GazelleCrossValidators']}"/>
            </ui:define>
            <dl>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">
                        #{messages['net.ihe.gazelle.xval.ThisReferencedObjectIsUsedAsInputOfTheFollowingV']}
                    </ui:define>
                    <rich:list value="#{referencedObjectEditorManager.getCrossValidators()}" var="validator"
                               type="unordered">
                        <g:link detailed="true" value="#{validator}"/>
                    </rich:list>
                </s:decorate>
            </dl>
        </ui:decorate>
    </ui:define>
</ui:composition>
